Name: apmd
Version: 3.0.2
Release: alt5
%define script_version 1.4.12
Epoch: 1

Summary: Advanced Power Management (APM) BIOS utilities for laptops
Summary(ru_RU.KOI8-R):     (APM BIOS)
License: GPL
Group: System/Servers
ExclusiveArch: %ix86

Source: http://www.worldvisions.ca/~apenwarr/apmd/%name-%version.tar.bz2
Source1: %name-scripts-%script_version.tar.bz2
Source2: apmscript
Source3: %name.init
Source4: %name.conf

Patch1: apmd-3.0.2-FHS.patch
Patch2: apmd-3.0-security.patch
Patch3: apmd-3.0.2-kernel2418.patch


#Patch1: %name-graphicswitch.patch
#Patch2: %name-fhs.patch
#Patch3: %name-typo.patch
#Patch4: %name-obsoleteopts.patch
#Patch5: %name-security.patch
#Patch6: %name-no-xapm.patch
#Patch7: %name-compile.patch
#Patch8: %name-progname.patch

Requires: initscripts >= 5.49-ipl6mdk
PreReq: chkconfig

# Automatically added by buildreq on Fri Dec 13 2002
BuildRequires: XFree86-devel xpm

%package x11
Summary: X11 utilities for APM
Group: System/XFree86
Requires: %name

%description x11
APMD is a set of programs for controlling the Advanced Power
Management daemon and utilities found in most modern laptop
computers. APMD can watch your notebook's battery and warn
users when the battery is low. APMD is also capable of shutting
down the PCMCIA sockets before a suspend.

Install the %name-x11 package if you need to show the APM system
status on your X Window System.

%package devel
Summary: The development librairies for APM
Group: Development/C
Requires: %name

%description
APMD is a set of programs for controlling the Advanced Power
Management daemon and utilities found in most modern laptop
computers. APMD can watch your notebook's battery and warn
users when the battery is low. APMD is also capable of shutting
down the PCMCIA sockets before a suspend.

Install the %name package if you need to control the APM system
on your laptop.

%description devel
APMD is a set of programs for controlling the Advanced Power
Management daemon and utilities found in most modern laptop
computers. APMD can watch your notebook's battery and warn
users when the battery is low. APMD is also capable of shutting
down the PCMCIA sockets before a suspend.

Install the %name-devel package if you want to develop with the apm
librairies.

%prep
%setup -q -n %name
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
%make_build CFLAGS="$RPM_OPT_FLAGS" LDFLAGS=

%install
mkdir -p $RPM_BUILD_ROOT{%_bindir,%_sbindir,%_libdir,%_includedir,%_mandir/{man1,man8}}
mkdir -p $RPM_BUILD_ROOT{%_initdir,%_sysconfdir/sysconfig}

%makeinstall PREFIX=$RPM_BUILD_ROOT%prefix APMD_PROXY_DIR=$RPM_BUILD_ROOT%_sysconfdir
install -p -m755 -D %SOURCE2 $RPM_BUILD_ROOT%_sysconfdir/sysconfig/apm-scripts/apmscript
install -p -m755 -D %SOURCE3 $RPM_BUILD_ROOT%_initdir/%name
install -p -m644 -D %SOURCE4 $RPM_BUILD_ROOT%_sysconfdir/sysconfig/%name

%post
%post_service apmd

%preun
%preun_service apmd

%files
%exclude %_bindir/xapm
%_bindir/*
%_sbindir/*
%_mandir/man?/*
%config(noreplace) %_initdir/%name
%config(noreplace) /etc/sysconfig/%name
%dir /etc/sysconfig/apm-scripts
%config(noreplace) /etc/sysconfig/apm-scripts/*
%doc ANNOUNCE ChangeLog README* LSM

%files devel
%_libdir/*.*a
%_includedir/*

%files x11
%_bindir/xapm

%changelog
* Mon Feb 03 2003 Rider <rider@altlinux.ru> 1:3.0.2-alt5
- fix init script for start apmd after syslog

* Fri Dec 13 2002 Rider <rider@altlinux.ru> 1:3.0.2-alt4
- removed bad pustun trigger
- BuildReq added

* Mon Dec 09 2002 Rider <rider@altlinux.ru> 1:3.0.2-alt3
- fixed bug #0001669

* Tue Dec 03 2002 Rider <rider@altlinux.ru> 1:3.0.2-alt2
- move xapm to %name-x11 package

* Mon Nov 18 2002 Rider <rider@altlinux.ru> 1:3.0.2-alt1
- new version
- patches from RedHat

* Wed Sep 12 2001 Dmitry V. Levin <ldv@altlinux.ru> 3.0final-ipl19mdk
- Corrected startup script to attempt modprobe apm.

* Mon Mar 19 2001 Dmitry V. Levin <ldv@altlinux.ru> 3.0final-ipl18mdk
- Fixed Requires.

* Thu Feb 22 2001 Dmitry V. Levin <ldv@fandra.org> 3.0final-ipl17mdk
- Fixed error reporting.
- Reenabled default startup runlevels.

* Sat Feb 17 2001 Dmitry V. Levin <ldv@fandra.org> 3.0final-ipl16mdk
- Merged some RH patches.
- Fixed apmd-scripts.

* Sun Jan 21 2001 Dmitry V. Levin <ldv@fandra.org> 3.0final-ipl15mdk
- RE adaptions.

* Tue Nov 28 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 3.0final-15mdk
- Make apmd-devel requires apmd.
- Make %config files as (noreplace).
- script_version 1.4.0.

* Mon Nov 27 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 3.0final-14mdk
- No need to build xapm.

* Thu Nov  2 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 3.0final-13mdk
- Set clock --hctosys after suspend (#742).

* Tue Oct  3 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 3.0final-12mdk
- Fix spelling error.
- Add NETWORK_RESTART option for some laptop.

* Tue Oct  3 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 3.0final-11mdk
- remove silly temporary files (thks Alexander).

* Mon Oct  2 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 3.0final-10mdk
- Upgrade to bero 1.4.9 scripts.

* Mon Oct  2 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 3.0final-9mdk
- Integrated suggetions of (Michael Reinsch <mr@uue.org>) :
		- Fix shell syntax in LOCk_X
		- use RESTORESOUNDPROGS only when lsof is here.
		- use service sound to restore the sound and remove the SOUNDMODULES stuff.

* Tue Sep 26 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 3.0final-8mdk
- Merge with rh scripts.

* Wed Jul 19 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 3.0final-7mdk
- Don't resumie anancron job if we are low in power.
- Resume sound if the commercial oss drivers are loaded.
- BM.
- Macros.

* Sun Jun  4 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 3.0final-6mdk
- Upgrade apm_script from rh.
- Add SUSPEND_USB option to apm_script.

* Tue Apr 25 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 3.0final-5mdk
- Remove bogus require from -devel.

* Fri Apr  7 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 3.0final-4mdk
- Fix apmd-devel groups.

* Wed Mar 29 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 3.0final-3mdk
- bzip2 man pages (again afther johnb).

* Sun Mar 19 2000 John Buswell <johnb@mandrakesoft.com> 3.0final-2mdk
- Added PPC support

* Mon Mar 13 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 3.0final-1mdk
- Adjust groups.
- Upgrade to debian 3.0final.
- Upgrade 1.2.1 redhat script.
- Clean up specs.

* Mon Dec 20 1999 Frederic Lepied <flepied@mandrakesoft.com> 3.0beta9-6mdk

- added graphic switch patch.

* Fri Nov 12 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Merge with the rh package :
  - Put in new apm scripts to handle PCMCIA suspend/resume, and give the
  possibility to refresh displays and reload sound modules for some
  broken chipsets.

* Mon Oct 25 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Add a provides to fix ghost bug with rpm :-\.

* Mon Oct 18 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- 3.0beta9.
- Split package with -devel.

* Wed Jun 23 1999 Bernhard Rosenkrnzer <bero@mandrakesoft.com>
- 3.0beta8

* Tue Jun 22 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Merging with RedHat change :
	- add check for /proc/apm (not on SMP) (#3403)
	- shell script tweak (#3176).

* Fri May  7 1999 Bill Nottingham <notting@redhat.com>
- set -u flag for utc

* Sat Apr 17 1999 Matt Wilson <msw@redhat.com>
- prereqs chkconfig

* Fri Apr 16 1999 Cristian Gafton <gafton@redhat.com>
- exlusive arch i3786, as sparcs and alphas have no apm support...

* Wed Apr 14 1999 <ewt@redhat.com>
- removed X bits; gnome has a much better X interface for apm anyway

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com>
- auto rebuild in the new build environment (release 4)

* Fri Mar 19 1999 Preston Brown <pbrown@redhat.com>
- quoted APMD_OPTIONS variable in the init script

* Tue Mar 09 1999 Preston Brown <pbrown@redhat.com>
- whoops, making /etc/rc.d/init.d/apmd a directory was a bad idea. fixed.

* Mon Mar 08 1999 Preston Brown <pbrown@redhat.com>
- now owned by Avery Pennarun <apenwarr@debian.org>, upgraded to his latest.

* Wed Feb 24 1999 Preston Brown <pbrown@redhat.com>
- Injected new description and group.

* Fri Nov 06 1998 Preston Brown <pbrown@redhat.com>
- updated to latest patchlevel from web page.

* Wed Apr 22 1998 Michael K. Johnson <johnsonm@redhat.com>
- enhanced init script

* Thu Apr 1 1998 Erik Troan <ewt@redhat.com>
- moved init script into a separate source file
- added restart and status options to initscript
- made it use a build root
- don't start apm when the package is installed
- don't stop apm when the package is removed

* Mon Dec  8 1997 Jan "Yenya" Kasprzak <kas@fi.muni.cz>
- Compiled on RH5.0 against libc6.
- Renamed /etc/rc.d/init.d/apmd.init to /etc/rc.d/init.d/apmd
- Make /etc/rc.d/init.d/apmd to be chkconfig-compliant.

* Thu Oct  2 1997 Jan "Yenya" Kasprzak <kas@fi.muni.cz>
- Fixed buggy /etc/sysconfig/apmd file generation in the spec file.
- Added a patch for apm.c's option handling.
- Both fixes were submitted by Richard D. McRobers <rdm@csn.net>
